// include the SD library:
#include <SPI.h>
#include <SD.h>
 
File myFile;
 
void setup() {
  Serial.begin(9600);
  Serial.print("Initializing SD card...");
  // Note that even if it's not used as the CS pin, the hardware SS pin (10) must be left as an output 
  // or the SD library functions will not work. 
  pinMode(10, OUTPUT);
  if (!SD.begin(10)) {
    Serial.println("initialization failed!");
    return;
  }
  Serial.println("initialization done.");
 
  myFile = SD.open("test.txt");     // open the file for reading:
  if (myFile) {
    Serial.println("test.txt:");
    while (myFile.available()) {    // read from the file until there's nothing else in it:
        Serial.write(myFile.read());
    }
    myFile.close();                 // close the file:
  } else {
    Serial.println("error opening test.txt");     // if the file didn't open, print an error:
  }
}
 
void loop()
{
    // nothing happens after setup
}
